# $Revision: 1.14 $, $Date: 2011/06/06 17:45:06 $
Summary:	Defer Python module import
Summary(pl.UTF-8):	Opóźnianie importu modułów Pythona
Name:		Zope-DeferredImport
Version:	3.5.3
Release:	1
License:	ZPL 2.1
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/z/zope.deferredimport/zope.deferredimport-%{version}.tar.gz
# Source0-md5:	68fce3bf4f011d4a840902fd763884ee
URL:		http://www.zope.org/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
Requires:	Zope-Proxy
Requires:	Zope-Testing
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Defer Python module import.

%description -l pl.UTF-8
Opóźnianie importu modułów Pythona.

%prep
%setup -q -n zope.deferredimport-%{version}

%build
python ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python ./setup.py install \
	--install-purelib=%{py_sitedir} \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitedir}/zope/deferredimport
%{py_sitedir}/zope.deferredimport-*.egg-info
%{py_sitedir}/zope.deferredimport-*-nspkg.pth

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-DeferredImport.spec,v $
Revision 1.14  2011/06/06 17:45:06  marti
- up to 3.5.3

Revision 1.13  2011/02/02 02:16:28  sparky
- BR: python-setuptools

Revision 1.12  2010/07/08 08:50:32  arekm
- release 2

Revision 1.11  2009/06/03 07:01:03  amateja
- updated to 3.5.0

Revision 1.10  2008/12/09 03:30:46  wrobell
- use pypi uri
- rel. 5

Revision 1.9  2008/11/16 15:04:37  wrobell
- rel. 4

Revision 1.8  2008/11/16 14:51:46  wrobell
- rel. 3

Revision 1.7  2008/03/04 22:35:58  qboosh
- py_sitedir is not noarch

Revision 1.6  2008-03-04 22:18:40  wrobell
- moved to py_sitedir
- rel. 2

Revision 1.5  2008-01-04 22:18:10  qboosh
- unified

Revision 1.4  2008-01-04 22:16:31  qboosh
- pl
- python deps
- noarch

Revision 1.3  2007-09-12 22:26:44  wrobell
- fixed/add url

Revision 1.2  2007/09/12 22:15:56  wrobell
- fixed summary/description/group/license and runtime requirements

Revision 1.1  2007/09/10 00:14:13  wrobell
- based on Zope-Event.spec

Revision 1.1  2007/09/10 00:08:11  wrobell
- based on Zope-Component.spec

Revision 1.1  2007/09/10 00:03:21  wrobell
- based on Zope-Testing.spec
